package it.micegroup.gestioneferie.pianificazioneferie.criteria;

import java.io.Serializable;
import javax.persistence.Embeddable;

import it.micegroup.voila2runtime.filter.StringFilter;

import it.micegroup.voila2runtime.filter.LongFilter;
import it.micegroup.voila2runtime.filter.StringFilter;
import it.micegroup.voila2runtime.filter.LocalDateFilter;

public class DpianiFerieCriteria implements Serializable {

	// SERIAL UID
	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 3542956910L;

	// FILTER ATTRIBUTES
	private LongFilter sequIdPianoFerie;

	private StringFilter codiPianoFerie;

	private StringFilter descPianoFerie;

	private LongFilter numeMinGgPresenza;

	private LongFilter numeMinGgFerie;

	private LongFilter numeMinGgDaPianificare;

	private LongFilter numeMaxGgDaPianificare;

	private LocalDateFilter dataScadenzaPresentazione;

	private LocalDateFilter dataInizioPeriodo;

	private LocalDateFilter dataFinePeriodo;

	private LongFilter fkAmministrazionePk;

	private LongFilter fkRegolaPianoFeriePk;

	private LongFilter fkStatoPianoFerie;

	private LongFilter fkTipoOrganigramma;

	private LongFilter fkUnitaFunzionale;

	private LongFilter fkUnitaOrganizzativaPk;

	private StringFilter flagEliminato;

	private StringFilter utenteUltimaModifica;

	private LocalDateFilter dataUltimaModifica;

	private LocalDateFilter dataInizioRecord;

	private LocalDateFilter dataFineRecord;

	// FILTER FATHER
	private String theDstatiPianoFerieObjectKey;

	// FILTER IMPORTED FATHER

	// GETTER/SETTER
	/**
	 * @return the sequIdPianoFerie
	 */
	public LongFilter getSequIdPianoFerie() {
		return this.sequIdPianoFerie;
	}

	/**
	 * @param sequIdPianoFerie to set
	 */
	public void setSequIdPianoFerie(LongFilter sequIdPianoFerie) {
		this.sequIdPianoFerie = sequIdPianoFerie;
	}

	/**
	 * @return the codiPianoFerie
	 */
	public StringFilter getCodiPianoFerie() {
		return this.codiPianoFerie;
	}

	/**
	 * @param codiPianoFerie to set
	 */
	public void setCodiPianoFerie(StringFilter codiPianoFerie) {
		this.codiPianoFerie = codiPianoFerie;
	}

	/**
	 * @return the descPianoFerie
	 */
	public StringFilter getDescPianoFerie() {
		return this.descPianoFerie;
	}

	/**
	 * @param descPianoFerie to set
	 */
	public void setDescPianoFerie(StringFilter descPianoFerie) {
		this.descPianoFerie = descPianoFerie;
	}

	/**
	 * @return the numeMinGgPresenza
	 */
	public LongFilter getNumeMinGgPresenza() {
		return this.numeMinGgPresenza;
	}

	/**
	 * @param numeMinGgPresenza to set
	 */
	public void setNumeMinGgPresenza(LongFilter numeMinGgPresenza) {
		this.numeMinGgPresenza = numeMinGgPresenza;
	}

	/**
	 * @return the numeMinGgFerie
	 */
	public LongFilter getNumeMinGgFerie() {
		return this.numeMinGgFerie;
	}

	/**
	 * @param numeMinGgFerie to set
	 */
	public void setNumeMinGgFerie(LongFilter numeMinGgFerie) {
		this.numeMinGgFerie = numeMinGgFerie;
	}

	/**
	 * @return the numeMinGgDaPianificare
	 */
	public LongFilter getNumeMinGgDaPianificare() {
		return this.numeMinGgDaPianificare;
	}

	/**
	 * @param numeMinGgDaPianificare to set
	 */
	public void setNumeMinGgDaPianificare(LongFilter numeMinGgDaPianificare) {
		this.numeMinGgDaPianificare = numeMinGgDaPianificare;
	}

	/**
	 * @return the numeMaxGgDaPianificare
	 */
	public LongFilter getNumeMaxGgDaPianificare() {
		return this.numeMaxGgDaPianificare;
	}

	/**
	 * @param numeMaxGgDaPianificare to set
	 */
	public void setNumeMaxGgDaPianificare(LongFilter numeMaxGgDaPianificare) {
		this.numeMaxGgDaPianificare = numeMaxGgDaPianificare;
	}

	/**
	 * @return the dataScadenzaPresentazione
	 */
	public DateFilter getDataScadenzaPresentazione() {
		return this.dataScadenzaPresentazione;
	}

	/**
	 * @param dataScadenzaPresentazione to set
	 */
	public void setDataScadenzaPresentazione(DateFilter dataScadenzaPresentazione) {
		this.dataScadenzaPresentazione = dataScadenzaPresentazione;
	}

	/**
	 * @return the dataInizioPeriodo
	 */
	public DateFilter getDataInizioPeriodo() {
		return this.dataInizioPeriodo;
	}

	/**
	 * @param dataInizioPeriodo to set
	 */
	public void setDataInizioPeriodo(DateFilter dataInizioPeriodo) {
		this.dataInizioPeriodo = dataInizioPeriodo;
	}

	/**
	 * @return the dataFinePeriodo
	 */
	public DateFilter getDataFinePeriodo() {
		return this.dataFinePeriodo;
	}

	/**
	 * @param dataFinePeriodo to set
	 */
	public void setDataFinePeriodo(DateFilter dataFinePeriodo) {
		this.dataFinePeriodo = dataFinePeriodo;
	}

	/**
	 * @return the fkAmministrazionePk
	 */
	public LongFilter getFkAmministrazionePk() {
		return this.fkAmministrazionePk;
	}

	/**
	 * @param fkAmministrazionePk to set
	 */
	public void setFkAmministrazionePk(LongFilter fkAmministrazionePk) {
		this.fkAmministrazionePk = fkAmministrazionePk;
	}

	/**
	 * @return the fkRegolaPianoFeriePk
	 */
	public LongFilter getFkRegolaPianoFeriePk() {
		return this.fkRegolaPianoFeriePk;
	}

	/**
	 * @param fkRegolaPianoFeriePk to set
	 */
	public void setFkRegolaPianoFeriePk(LongFilter fkRegolaPianoFeriePk) {
		this.fkRegolaPianoFeriePk = fkRegolaPianoFeriePk;
	}

	/**
	 * @return the fkStatoPianoFerie
	 */
	public LongFilter getFkStatoPianoFerie() {
		return this.fkStatoPianoFerie;
	}

	/**
	 * @param fkStatoPianoFerie to set
	 */
	public void setFkStatoPianoFerie(LongFilter fkStatoPianoFerie) {
		this.fkStatoPianoFerie = fkStatoPianoFerie;
	}

	/**
	 * @return the fkTipoOrganigramma
	 */
	public LongFilter getFkTipoOrganigramma() {
		return this.fkTipoOrganigramma;
	}

	/**
	 * @param fkTipoOrganigramma to set
	 */
	public void setFkTipoOrganigramma(LongFilter fkTipoOrganigramma) {
		this.fkTipoOrganigramma = fkTipoOrganigramma;
	}

	/**
	 * @return the fkUnitaFunzionale
	 */
	public LongFilter getFkUnitaFunzionale() {
		return this.fkUnitaFunzionale;
	}

	/**
	 * @param fkUnitaFunzionale to set
	 */
	public void setFkUnitaFunzionale(LongFilter fkUnitaFunzionale) {
		this.fkUnitaFunzionale = fkUnitaFunzionale;
	}

	/**
	 * @return the fkUnitaOrganizzativaPk
	 */
	public LongFilter getFkUnitaOrganizzativaPk() {
		return this.fkUnitaOrganizzativaPk;
	}

	/**
	 * @param fkUnitaOrganizzativaPk to set
	 */
	public void setFkUnitaOrganizzativaPk(LongFilter fkUnitaOrganizzativaPk) {
		this.fkUnitaOrganizzativaPk = fkUnitaOrganizzativaPk;
	}

	/**
	 * @return the flagEliminato
	 */
	public StringFilter getFlagEliminato() {
		return this.flagEliminato;
	}

	/**
	 * @param flagEliminato to set
	 */
	public void setFlagEliminato(StringFilter flagEliminato) {
		this.flagEliminato = flagEliminato;
	}

	/**
	 * @return the utenteUltimaModifica
	 */
	public StringFilter getUtenteUltimaModifica() {
		return this.utenteUltimaModifica;
	}

	/**
	 * @param utenteUltimaModifica to set
	 */
	public void setUtenteUltimaModifica(StringFilter utenteUltimaModifica) {
		this.utenteUltimaModifica = utenteUltimaModifica;
	}

	/**
	 * @return the dataUltimaModifica
	 */
	public DateFilter getDataUltimaModifica() {
		return this.dataUltimaModifica;
	}

	/**
	 * @param dataUltimaModifica to set
	 */
	public void setDataUltimaModifica(DateFilter dataUltimaModifica) {
		this.dataUltimaModifica = dataUltimaModifica;
	}

	/**
	 * @return the dataInizioRecord
	 */
	public DateFilter getDataInizioRecord() {
		return this.dataInizioRecord;
	}

	/**
	 * @param dataInizioRecord to set
	 */
	public void setDataInizioRecord(DateFilter dataInizioRecord) {
		this.dataInizioRecord = dataInizioRecord;
	}

	/**
	 * @return the dataFineRecord
	 */
	public DateFilter getDataFineRecord() {
		return this.dataFineRecord;
	}

	/**
	 * @param dataFineRecord to set
	 */
	public void setDataFineRecord(DateFilter dataFineRecord) {
		this.dataFineRecord = dataFineRecord;
	}

	// GETTER/SETTER FATHER

	public String getTheDstatiPianoFerieObjectKey() {
		return theDstatiPianoFerieObjectKey;
	}

	public void setTheDstatiPianoFerieObjectKey(String theDstatiPianoFerieObjectKey) {
		this.theDstatiPianoFerieObjectKey = theDstatiPianoFerieObjectKey;
	}

	// GETTER/SETTER IMPORTED FATHER

	// GEN COMPOSITE FILTER

}
